ScrollerBelt = {};
ScrollerBelt.modDir = g_currentModDirectory;
function ScrollerBelt.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(Overloading, specializations) and SpecializationUtil.hasSpecialization(Pipe, specializations);
end;
function ScrollerBelt:load(savegames)    
    self.beltTurnedOnRotationNodes = Utils.loadRotationNodes(self.xmlFile, {}, "vehicle.turnedOnRotationNodes.turnedOnRotationNode", "turnOn", self.components);
	self.beltScrollers = Utils.loadScrollers(self.components, self.xmlFile, "vehicle.turnOnScrollers.turnOnScroller", {}, true);    
end;
function ScrollerBelt:delete()
end;
function ScrollerBelt:readStream(streamId, connection)
end;
function ScrollerBelt:writeStream(streamId, connection)
end;
function ScrollerBelt:mouseEvent(posX, posY, isDown, isUp, button)
end;
function ScrollerBelt:keyEvent(unicode, sym, modifier, isDown)
end;
function ScrollerBelt:update(dt)    
	if self.isClient then
	    Utils.updateRotationNodes(self, self.beltTurnedOnRotationNodes, dt, self:getIsActive() and self:getIsTurnedOn() );
	    Utils.updateScrollers(self.beltScrollers, dt, self:getIsActive() and self:getIsTurnedOn());      
	end;    
end;
function ScrollerBelt:onLeave()
end;
function ScrollerBelt:draw()
end;	
function ScrollerBelt:onDetach()
end;	
function ScrollerBelt:onDeactivate()
end;	
function ScrollerBelt:onDeactivateSounds()
end;